package com.sqx.modules.datacentre.service;

import com.sqx.common.utils.Result;

public interface DataCentreService {

    Result dataCentre();

    Result selectPayOrderAnalyze(Integer page, Integer limit, String date, String dateType);

    Result selectAllUser(Integer page, Integer limit, String userName, String phone);

    Result selectUserById(Long userId);

    Result selectOrderData(String date, String dateType);

    Result selectTopUpStatistics(String date, String dateType);

    Result findAllCertification(Integer page, Integer limit, String userName, String phone, String checkCertification);

    Result checkCertification(Long userId, String checkCertification, String checkCertificationMessage);

    Result findCertification(Long userId);

    Result rankingList(Integer page, Integer limit, String address, String date, String dateType);

    Result selectShopCenter(String date, String dateType, Integer page, Integer limit);

    Result selectUserCenter(String date, String dateType);

    Result selectUserFeedback(String userEmail, Integer page, Integer limit);

    Result findUserAddIndent(Long userId, Integer page, Integer limit);

    Result findUserReceivingIndent(Long userId, Integer page, Integer limit);

    Result findTopUpMoney(Long userId, Integer page, Integer limit, String startTime, String endTime);

    Result findWithdrawMoney(Long userId, Integer page, Integer limit);

    Result findplatformMoney(String dateType, String date);

    Result selectCashDeposit(String phone, Integer type, Integer page, Integer limit, Long userId);

    Result tcwmplatformMoney(String date, String dateType);

    Result selectFeedbackList(Integer page, Integer limit, Integer type);

    Result presenterVip(Long userId);

}
